# SRC/ilu_ssnode_dfs.c File Reference

Determines the union of row structures of columns within the relaxed node. More...

`#include "slu_sdefs.h"`

## Functions
int | ilu_ssnode_dfs (const int jcol, const int kcol, const int *asub, const int *xa_begin, const int *xa_end, int *marker, GlobalLU_t *Glu)

## Detailed Description

     -- SuperLU routine (version 4.0) --
     Lawrence Berkeley National Laboratory
     June 30, 2009

## Function Documentation

int ilu_ssnode_dfs | ( | const int | jcol,
|  | const int | kcol,
|  | const int * | asub,
|  | const int * | xa_begin,
|  | const int * | xa_end,
|  | int * | marker,
|  | GlobalLU_t * | Glu |
| ) |  |  |

     Purpose
     =======
        ilu_ssnode_dfs() - Determine the union of the row structures of those
        columns within the relaxed snode.
        Note: The relaxed snodes are leaves of the supernodal etree, therefore,
        the portion outside the rectangular supernode must be zero.

     Return value
     ============
         0   success;
        >0   number of bytes allocated when run out of memory.